<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { onMounted, ref, inject } from 'vue';
const props = defineProps<{
    h5p: string,
}>();
const configuration = inject<any>('configuration');
const errorText = ref('');

const container = ref();
onMounted(()=>{
    const options = {
        h5pJsonPath: props.h5p,
        frameJs: configuration.basePath+"javascripts/frame.bundle.js",
        frameCss: configuration.basePath+"stylesheets/h5p.css"
    };
    try{
        //@ts-ignore
        new H5PStandalone.H5P(container.value, options);
    }catch(error){
        console.error(error);
        errorText.value = error as string;
    }
});

</script>
<template>
<div ref="container">
</div>
<div v-if="errorText">{{ errorText }}</div>
</template>